libepoxy 1.5.4

Functions
wgl.h File Reference
`#include <windows.h>`
`#include "epoxy/common.h"`
`#include "epoxy/wgl_generated.h"`

## Functions
bool | epoxy_has_wgl_extension (HDC hdc, const char *extension)
void | epoxy_handle_external_wglMakeCurrent (void)
| Does the work necessary to update the win32 per-thread dispatch tables when wglMakeCurrent() is called. More...

## Detailed Description

Provides an implementation of a WGL dispatch layer using a hidden vtable.

## Function Documentation

## ◆ epoxy_handle_external_wglMakeCurrent()

void epoxy_handle_external_wglMakeCurrent | ( | void |  | ) |

Does the work necessary to update the win32 per-thread dispatch tables when wglMakeCurrent() is called.

Right now, we use global function pointers until the second MakeCurrent occurs, at which point we switch to dispatch tables. This could be improved in the future to track a resolved dispatch table per context and reuse it when the context is made current again.

## ◆ epoxy_has_wgl_extension()

bool epoxy_has_wgl_extension | ( | HDC | hdc,
|  | const char * | extension
| ) |  |